﻿using Luticate2.Auth.Dbo.Fields;
using Luticate2.Auth.Dbo.PartialObjectCopier;
using Luticate2.Auth.Dbo.Result;

namespace Luticate2.Auth.Interfaces
{
    public interface ILuPartialObjectCopier<TTypeFrom, TTypeTo>
    {
        LuResult<TTypeTo> Copy(LuFieldDbo path, LuPartialFieldsDbo fields, TTypeFrom dboFrom, TTypeTo dboTo, LuPartialObjectCopierOptions options);

        LuResult<TTypeTo> Copy(LuPartialFieldsDbo fields, TTypeFrom dboFrom, TTypeTo dboTo, LuPartialObjectCopierOptions options);
    }
}