﻿using Luticate2.Auth.Business.Pagination;
using Luticate2.Auth.Dbo;
using Luticate2.Auth.Dbo.Auth;
using Luticate2.Auth.Dbo.Result;
using Xunit;

namespace Luticate2.Auth.Tests.Business.Pagination
{
    public class LuFilterTests
    {
        [Fact]
        public void Test1()
        {
            var filterResult = LuFilterParser.Parse<LuGroupDbo>("x.Name.Contains(\"test\")");
            Assert.Equal(LuStatus.Success.ToInt(), filterResult.Status);
            Assert.NotNull(filterResult.Data);
        }
    }
}