﻿using System;
using System.Linq;
using System.Linq.Expressions;
using Luticate2.Auth.Dbo.Pagination;
using Luticate2.Auth.Dbo.Result;

namespace Luticate2.Auth.Interfaces
{
    public interface ILuOrderByObjectType<TType>
    {
        LuResult<IQueryable<TModel>> OrderByField<TModel, TType2>(Expression<Func<TModel, TType2>> modelProperty,
            LuOrderByFieldDbo orderByfield, IQueryable<TModel> queryable);
    }
}